Bug 106154 - Eject/Unmount Volume in context menu fail
Eject/Unmount Volume in context menu fail
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 08:19 EDT by Toralf
Modified: 2007-04-18 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3WS
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 05:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toralf 2003-10-03 08:19:11 EDT
Description of problem:
"Eject" or "Unmount Volume" in desktop icon context menu for (user-mounted)
CD-ROM, floppy etc. appears to do nothing.

Device has to be unmounted via Disks on background menu.

<flame>
Don't you even test *simple* things like this before making a release???
</flame>

Version-Release number of selected component (if applicable):
2.2.1-5

How reproducible:
Every time

Steps to Reproduce:
1. E.g. Disks->CD-ROM to mount CD-ROM, or let magicdev auto-mount it.
2. Right-click on CD icon, choose "Eject"

    
Actual results:
Nothing

Expected results:
CD-ROM is ejected.

Additional info:
I don't use magicdev myself. magicdev is *evil*. I don't want millions of lines like
 kernel:  Device not ready.  Make sure there is a disc in the drive.
in my system log.
Comment 1 Bill Nottingham 2006-08-05 00:45:07 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Toralf 2006-08-14 05:34:54 EDT
I'm unable to reproduce this on recent Fedora Core or Enterprise Linux setups -
not even on Enterprise Linux 3 (which is very similar to Red Hat Linux 9) - so
I'll assume it is fixed. I don't think we can be 100% sure, though, as I suspect
this problem did not occur all the time in the past, but was seen only for
certain users and/or machines.

Note You need to log in before you can comment on or make changes to this bug.